Page MenuHomePhabricator

Allow configuring WDQS UI without changes to files under version control
Closed, ResolvedPublic

Description

Currently, to configure the WDQS UI, you have to modify the wikibase/config.js file, which is under version control: any time you want to update the website, you need to stash your own changes, do a git pull, and then unstash your changes again, hoping that there is no merge conflict. This should not be necessary.

I think there are two steps to this: we should read more than one configuration file (one default file that is under version control, and one site-specific one that isn’t and may be absent), and at least the site-specific file should be JSON, not JS. (For clarity, ideally the version-controlled configuration file should be JSON as well so that you can easily copy it to the site-specific one, and any logic that needs JS should be somewhere else. But I’m not sure about the details yet.)

Details

Related Gerrit Patches:
wikidata/query/gui : masterDon't directly access config, but resolve with a Promise
wikidata/query/gui-deploy : productionMerging from 23407cae6c008bc8b8295e473a19ec0bba890196:
wikidata/query/gui : masterInstall default config too
wikidata/query/gui : masterAllow configuring without changes to files in git
wikidata/query/gui-deploy : productionAdd custom-config.json

Event Timeline

Vvjjkkii renamed this task from Allow configuring WDQS UI without changes to files under version control to gddaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from gddaaaaaaa to Allow configuring WDQS UI without changes to files under version control.Jul 1 2018, 3:25 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Addshore triaged this task as Low priority.Mar 19 2019, 12:22 PM
Addshore added a project: Wikidata-Campsite.
Addshore moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.

Change 504867 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[wikidata/query/gui@master] Don't directly access config, but resolve with a Promise

https://gerrit.wikimedia.org/r/504867

Change 505800 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[wikidata/query/gui@master] Allow configuring without changes to files in git

https://gerrit.wikimedia.org/r/505800

Change 504867 merged by jenkins-bot:
[wikidata/query/gui@master] Don't directly access config, but resolve with a Promise

https://gerrit.wikimedia.org/r/504867

Change 506602 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[wikidata/query/gui-deploy@production] Add custom-config.json

https://gerrit.wikimedia.org/r/506602

Change 506602 merged by Smalyshev:
[wikidata/query/gui-deploy@production] Add custom-config.json

https://gerrit.wikimedia.org/r/506602

Change 505800 merged by jenkins-bot:
[wikidata/query/gui@master] Allow configuring without changes to files in git

https://gerrit.wikimedia.org/r/505800

Change 507214 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[wikidata/query/gui@master] Install default config too

https://gerrit.wikimedia.org/r/507214

Change 507214 merged by jenkins-bot:
[wikidata/query/gui@master] Install default config too

https://gerrit.wikimedia.org/r/507214

Change 507218 had a related patch set uploaded (by WDQSGuiBuilder; owner: WDQSGuiBuilder):
[wikidata/query/gui-deploy@production] Merging from 23407cae6c008bc8b8295e473a19ec0bba890196:

https://gerrit.wikimedia.org/r/507218

Change 507218 merged by Smalyshev:
[wikidata/query/gui-deploy@production] Merging from 23407cae6c008bc8b8295e473a19ec0bba890196:

https://gerrit.wikimedia.org/r/507218

This might have caused T222129 and T222133 – it looks like embed.html doesn’t properly link to the query anymore.

WMDE-leszek closed this task as Resolved.May 9 2019, 11:27 AM
WMDE-leszek reopened this task as Open.

@WMDE-leszek Why was this reopened?

WMDE-leszek closed this task as Resolved.May 9 2019, 11:44 AM

I closed it with sloppy fingers before checking, hence reopened right after noticing my mistake. Now looked again, and this looks done to me. Sorry for the noise.